/*!
 * The Final Countdown for jQuery v2.2.0 (http://hilios.github.io/jQuery.countdown/)
 * Copyright (c) 2016 Edson Hilios
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
(function(t){"use strict";if(typeof define==="function"&&define.amd){define(["jquery"],t)}else{t(window.jQueryLanding||jQuery)}})((function(t){"use strict";var e=[],s=[],i={precision:100,elapse:false,defer:false};s.push(/^[0-9]*$/.source);s.push(/([0-9]{1,2}\/){2}[0-9]{4}( [0-9]{1,2}(:[0-9]{2}){2})?/.source);s.push(/[0-9]{4}([\/\-][0-9]{1,2}){2}( [0-9]{1,2}(:[0-9]{2}){2})?/.source);s=new RegExp(s.join("|"));function n(t){if(t instanceof Date){return t}if(String(t).match(s)){if(String(t).match(/^[0-9]*$/)){t=Number(t)}if(String(t).match(/\-/)){t=String(t).replace(/\-/g,"/")}return new Date(t)}else{throw new Error("Couldn't cast `"+t+"` to a date object.")}}var o={Y:"years",m:"months",n:"daysToMonth",d:"daysToWeek",w:"weeks",W:"weeksToMonth",H:"hours",M:"minutes",S:"seconds",D:"totalDays",I:"totalHours",N:"totalMinutes",T:"totalSeconds"};function a(t){var e=t.toString().replace(/([.?*+^$[\]\\(){}|-])/g,"\\$1");return new RegExp(e)}function l(t){return function(e){var s=e.match(/%(-|!)?[A-Z]{1}(:[^;]+;)?/gi);if(s){for(var i=0,n=s.length;i<n;++i){var l=s[i].match(/%(-|!)?([a-zA-Z]{1})(:[^;]+;)?/),h=a(l[0]),f=l[1]||"",c=l[3]||"",u=null;l=l[2];if(o.hasOwnProperty(l)){u=o[l];u=Number(t[u])}if(u!==null){if(f==="!"){u=r(c,u)}if(f===""){if(u<10){u="0"+u.toString()}}e=e.replace(h,u.toString())}}}e=e.replace(/%%/,"%");return e}}function r(t,e){var s="s",i="";if(t){t=t.replace(/(:|;|\s)/gi,"").split(/\,/);if(t.length===1){s=t[0]}else{i=t[0];s=t[1]}}if(Math.abs(e)>1){return s}else{return i}}var h=function(s,n,o){this.el=s;this.$el=t(s);this.interval=null;this.offset={};this.options=t.extend({},i);this.instanceNumber=e.length;e.push(this);this.$el.data("countdown-instance",this.instanceNumber);if(o){if(typeof o==="function"){this.$el.on("update.countdown",o);this.$el.on("stoped.countdown",o);this.$el.on("finish.countdown",o)}else{this.options=t.extend({},i,o)}}this.setFinalDate(n);if(this.options.defer===false){this.start()}};t.extend(h.prototype,{start:function(){if(this.interval!==null){clearInterval(this.interval)}var t=this;this.update();this.interval=setInterval((function(){t.update.call(t)}),this.options.precision)},stop:function(){clearInterval(this.interval);this.interval=null;this.dispatchEvent("stoped")},toggle:function(){if(this.interval){this.stop()}else{this.start()}},pause:function(){this.stop()},resume:function(){this.start()},remove:function(){this.stop.call(this);e[this.instanceNumber]=null;delete this.$el.data().countdownInstance},setFinalDate:function(t){this.finalDate=n(t)},update:function(){if(this.$el.closest("html").length===0){this.remove();return}var e=t._data(this.el,"events")!==undefined,s=new Date,i;i=this.finalDate.getTime()-s.getTime();i=Math.ceil(i/1e3);i=!this.options.elapse&&i<0?0:Math.abs(i);if(this.totalSecsLeft===i||!e){return}else{this.totalSecsLeft=i}this.elapsed=s>=this.finalDate;this.offset={seconds:this.totalSecsLeft%60,minutes:Math.floor(this.totalSecsLeft/60)%60,hours:Math.floor(this.totalSecsLeft/60/60)%24,days:Math.floor(this.totalSecsLeft/60/60/24)%7,daysToWeek:Math.floor(this.totalSecsLeft/60/60/24)%7,daysToMonth:Math.floor(this.totalSecsLeft/60/60/24%30.4368),weeks:Math.floor(this.totalSecsLeft/60/60/24/7),weeksToMonth:Math.floor(this.totalSecsLeft/60/60/24/7)%4,months:Math.floor(this.totalSecsLeft/60/60/24/30.4368),years:Math.abs(this.finalDate.getFullYear()-s.getFullYear()),totalDays:Math.floor(this.totalSecsLeft/60/60/24),totalHours:Math.floor(this.totalSecsLeft/60/60),totalMinutes:Math.floor(this.totalSecsLeft/60),totalSeconds:this.totalSecsLeft};if(!this.options.elapse&&this.totalSecsLeft===0){this.stop();this.dispatchEvent("finish")}else{this.dispatchEvent("update")}},dispatchEvent:function(e){var s=t.Event(e+".countdown");s.finalDate=this.finalDate;s.elapsed=this.elapsed;s.offset=t.extend({},this.offset);s.strftime=l(this.offset);this.$el.trigger(s)}});t.fn.countdown=function(){var s=Array.prototype.slice.call(arguments,0);return this.each((function(){var i=t(this).data("countdown-instance");if(i!==undefined){var n=e[i],o=s[0];if(h.prototype.hasOwnProperty(o)){n[o].apply(n,s.slice(1))}else if(String(o).match(/^[$A-Z_][0-9A-Z_$]*$/i)===null){n.setFinalDate.call(n,o);n.start()}else{t.error("Method %s does not exist on jQuery.countdown".replace(/\%s/gi,o))}}else{new h(this,s[0],s[1])}}))}}));
//# sourceMappingURL=jquery.countdown_landing.map.js